Subject: Re: bug#16063: 24.3.50; Suggest inclusion of faceup, a regression test system for font-lock

From: Noam Postavsky <[email-masked]>
Date: Wed, 17 Apr 2019 19:18:21 -0400

tags 16063 fixed
close 16063 27.1
quit

Stefan Monnier <[email-masked]> writes:

>> While developing a font-lock package for CMake, I realized that there
>> was no way to regression-test it.  So, I wrote a package for that as
>> well.  It's called "faceup" and is based on a plain-text
>> representation of texts with faces and is designed to be used with the
>> "ert" regression test system.
>> When I mentioned this package to Stefan Monnier, he suggested that I should
>> submit it for inclusion, so here it is.
>
> No objection in 2 years: I think you should feel free to use your commit
> rights to add it.

It was pushed to master.

a0e5a02125 2017-10-26T21:31:28+02:00 "New package, `faceup'"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=a0e5a02125a62d3c4f09abea3a0085111ddffa77